package com.ruixuan.isc.entity;

import com.ruixuan.common.core.domain.BaseEntity;

public class KuaishouItemCollectSampleLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private Long id;
    private Long sampleId;
    private Long userId;
    private String userName;
    private Integer collectSampleStatus;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSampleId() {
        return sampleId;
    }

    public void setSampleId(Long sampleId) {
        this.sampleId = sampleId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getCollectSampleStatus() {
        return collectSampleStatus;
    }

    public void setCollectSampleStatus(Integer collectSampleStatus) {
        this.collectSampleStatus = collectSampleStatus;
    }

    @Override
    public String toString() {
        return "kuaishouItemCollectSampleLog{" +
                "id=" + id +
                ", sampleId=" + sampleId +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                ", collectSampleStatus=" + collectSampleStatus +
                '}';
    }
}
